---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsp02t003.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x3710, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x53A30, symBinAddr: 0xC9F0, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x55970, symBinAddr: 0xE930, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x55D60, symBinAddr: 0xED20, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x56D00, symBinAddr: 0xFCC0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x56D10, symBinAddr: 0xFCD0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x53690, symBinAddr: 0xC890, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x53694, symBinAddr: 0xC894, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x53698, symBinAddr: 0xC898, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x537F0, symBinAddr: 0xC8A0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x538A8, symBinAddr: 0xC958, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x538AC, symBinAddr: 0xC95C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x538B0, symBinAddr: 0xC960, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x538B4, symBinAddr: 0xC964, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x538B8, symBinAddr: 0xC968, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x538C0, symBinAddr: 0xC970, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x538D0, symBinAddr: 0xC980, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x538D8, symBinAddr: 0xC988, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x538E0, symBinAddr: 0xC990, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x538E8, symBinAddr: 0xC998, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x538F0, symBinAddr: 0xC9A0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x538F8, symBinAddr: 0xC9A8, symSize: 0x0 }
  - { offsetInCU: 0x94D3, offset: 0x94D3, size: 0x8, addend: 0x0, symName: __ZL19testedThreadRunning, symObjAddr: 0x5393C, symBinAddr: 0xC9BC, symSize: 0x0 }
  - { offsetInCU: 0x94ED, offset: 0x94ED, size: 0x8, addend: 0x0, symName: __ZL24testedThreadShouldFinish, symObjAddr: 0x53940, symBinAddr: 0xC9C0, symSize: 0x0 }
  - { offsetInCU: 0x9506, offset: 0x9506, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x53948, symBinAddr: 0xC9C8, symSize: 0x0 }
  - { offsetInCU: 0x951F, offset: 0x951F, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x53950, symBinAddr: 0xC9D0, symSize: 0x0 }
  - { offsetInCU: 0x9538, offset: 0x9538, size: 0x8, addend: 0x0, symName: __ZL3jni, symObjAddr: 0x53990, symBinAddr: 0xC9E0, symSize: 0x0 }
  - { offsetInCU: 0x9551, offset: 0x9551, size: 0x8, addend: 0x0, symName: __ZL11threadsDesc, symObjAddr: 0xF270, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0x964F, offset: 0x964F, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x23B0, symSize: 0x80 }
  - { offsetInCU: 0x96E4, offset: 0x96E4, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x2300, symSize: 0xB0 }
  - { offsetInCU: 0x973F, offset: 0x973F, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x2200, symSize: 0x100 }
  - { offsetInCU: 0x99D2, offset: 0x99D2, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x2430, symSize: 0xC0 }
  - { offsetInCU: 0x9A24, offset: 0x9A24, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x24F0, symSize: 0x220 }
  - { offsetInCU: 0x9C09, offset: 0x9C09, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x2710, symSize: 0xA0 }
  - { offsetInCU: 0x9CBC, offset: 0x9CBC, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x27B0, symSize: 0x110 }
  - { offsetInCU: 0x9DB2, offset: 0x9DB2, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x28C0, symSize: 0x150 }
  - { offsetInCU: 0x9F0F, offset: 0x9F0F, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x2A10, symSize: 0x30 }
  - { offsetInCU: 0xA010, offset: 0xA010, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x2A40, symSize: 0x150 }
  - { offsetInCU: 0xA208, offset: 0xA208, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x2B90, symSize: 0x160 }
  - { offsetInCU: 0xA4C8, offset: 0xA4C8, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x2CF0, symSize: 0x4A0 }
  - { offsetInCU: 0xA73B, offset: 0xA73B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x3190, symSize: 0x1B0 }
  - { offsetInCU: 0xA956, offset: 0xA956, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x3340, symSize: 0xA0 }
  - { offsetInCU: 0xAA25, offset: 0xAA25, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x33E0, symSize: 0x20 }
  - { offsetInCU: 0xAA5C, offset: 0xAA5C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x3400, symSize: 0x20 }
  - { offsetInCU: 0xAA93, offset: 0xAA93, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x3420, symSize: 0x20 }
  - { offsetInCU: 0xAC86, offset: 0xAC86, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x3440, symSize: 0x1A0 }
  - { offsetInCU: 0xAFA2, offset: 0xAFA2, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x35E0, symSize: 0x130 }
  - { offsetInCU: 0xB152, offset: 0xB152, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x3980, symSize: 0x1B0 }
  - { offsetInCU: 0xB441, offset: 0xB441, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x3B30, symSize: 0x80 }
  - { offsetInCU: 0xB50A, offset: 0xB50A, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x3BB0, symSize: 0x6A0 }
  - { offsetInCU: 0xC09F, offset: 0xC09F, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xAAD0, symBinAddr: 0x5810, symSize: 0xB0 }
  - { offsetInCU: 0xC116, offset: 0xC116, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x4250, symSize: 0x70 }
  - { offsetInCU: 0xC1D2, offset: 0xC1D2, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x42C0, symSize: 0xA0 }
  - { offsetInCU: 0xC2B1, offset: 0xC2B1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x4360, symSize: 0x40 }
  - { offsetInCU: 0xC3A7, offset: 0xC3A7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x43A0, symSize: 0x2B0 }
  - { offsetInCU: 0xC74D, offset: 0xC74D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x4650, symSize: 0xC0 }
  - { offsetInCU: 0xC893, offset: 0xC893, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x4710, symSize: 0x10 }
  - { offsetInCU: 0xC955, offset: 0xC955, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x4720, symSize: 0x220 }
  - { offsetInCU: 0xCC52, offset: 0xCC52, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x4940, symSize: 0x10 }
  - { offsetInCU: 0xCCAF, offset: 0xCCAF, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x4950, symSize: 0x1F0 }
  - { offsetInCU: 0xCF10, offset: 0xCF10, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E00, symBinAddr: 0x4B40, symSize: 0x10 }
  - { offsetInCU: 0xCF6D, offset: 0xCF6D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_sampling_SP02_sp02t003ThreadRunningNative_testedMethod, symObjAddr: 0x9E10, symBinAddr: 0x4B50, symSize: 0x60 }
  - { offsetInCU: 0xCFDD, offset: 0xCFDD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_sampling_SP02_sp02t003ThreadRunningNative_checkReady, symObjAddr: 0x9E70, symBinAddr: 0x4BB0, symSize: 0x40 }
  - { offsetInCU: 0xD069, offset: 0xD069, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_sampling_SP02_sp02t003ThreadRunningNative_letFinish, symObjAddr: 0x9EB0, symBinAddr: 0x4BF0, symSize: 0x10 }
  - { offsetInCU: 0xD159, offset: 0xD159, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9EC0, symBinAddr: 0x4C00, symSize: 0xC10 }
  - { offsetInCU: 0xDC56, offset: 0xDC56, size: 0x8, addend: 0x0, symName: __ZL12checkThreadsiPKc, symObjAddr: 0xAEF0, symBinAddr: 0x5C30, symSize: 0x4BA }
  - { offsetInCU: 0xE0C0, offset: 0xE0C0, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xAB80, symBinAddr: 0x58C0, symSize: 0x370 }
...
